TSHTTPTXNCNTL(3ts)

NAME
TSHttpTxnCntl - TSHttpTxnCntl API function

SYNOPSIS

            #include <ts/ts.h>

    bool TSHttpTxnCntlGet(TSHttpTxn txnp, TSHttpCntlType ctrl)

    TSReturnCode TSHttpTxnCntlSet(TSHttpTxn txnp, TSHttpCntlType cntl, bool data)

DESCRIPTION

Set or Get the status of various control mechanisms within the HTTP transaction. The control type must be one of the values are identified by the enumeration TSHttpCntlType. The values are boolean values, true and false. A true values turns on the transaction feature, and the false value turns it off.

COPYRIGHT
2025, dev@trafficserver.apache.org